LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

missing LabVIEW MathScript commands for control systems

Solved!
Go to solution

I'm watching these:

They are about control system engineering with LabVIEW. 

 

I have LabVIEW 2015 with the MathScript RT and a test license for Control and Simulation library.  I also have a licensed MatLab installed, but it does not have the control system toolboxes.

 

They both use the "ss" command in MathScript.  I can't find it.  I get errors.  I search in help and it is not there.  It is not in the examples.  When I look at the Block diagram VI's from the scond video I have substantially fewer controls on mine.  I get PID, Fuzzy, and System Identification.  I don't have "SISO".

 

I have several guesses as to what is wrong:

  • it was removed from the MathScript RT module. 
  • I need a different toolkit or demo.
  • it has a new name that is non-intuitive.

Can you help me find the "ss" command so I can duplicate what they are doing?

 

0 Kudos
Message 1 of 6
(2,028 Views)
- LabVIEW Control Design and Simulation Module toolkit : http://www.ni.com/labview/cd-sim/
- you can download evaluation version and try.
- what you have is LabVIEW MathScript RT Module http://www.ni.com/labview/mathscript/
- As per my knowledge in MATLAB also it is separate toolbox which is licensed separately.
- For LabVIEW Control Design and Simulation Resources : http://www.ni.com/tutorial/11653/en/
Thanks
uday
Message 2 of 6
(2,011 Views)

@udka - I must have installed something wrongly.  I tried again, and it still doesn't have the menus, or the updated command-set in MathScript RT.

 

The system knows some commands, but not enough to do a basic step response.  I have 2015, not 2016, and I already had MathScript RT.  I'm thinking that the mismatch has to be in that area.  I could be wrong.

 

Untitled.png

 

Capture.PNG

0 Kudos
Message 3 of 6
(1,909 Views)

From the screenshot of the palettes, it looks like the Control Design & Simulation toolkit either isn't installed or licensed correctly - you should have a whole bunch of simulation palettes etc.

From what I recall, the PID / Fuzzy toolkits are separate from the main CD&S toolkit.

 

Can you show us what you have installed under 'software' in NI MAX? Perhaps also show us your NI license manager.


LabVIEW Champion, CLA, CLED, CTD
(blog)
0 Kudos
Message 4 of 6
(1,897 Views)

Here is software from NiMAX.

Capture.PNG

 

Here is most of license. 

Capture.PNG

0 Kudos
Message 5 of 6
(1,884 Views)
Solution
Accepted by topic author EngrStudent
You have installed the wrong version of the Control Design and Simulation module - the version must match the version of LabVIEW (i.e. 2015, in your case).

Download/install the older version and you should be good to go.

LabVIEW Champion, CLA, CLED, CTD
(blog)
Message 6 of 6
(1,828 Views)